## python-asgiref 3.9.1

=== Makefile ===
.PHONY: release clean

clean:
	rm -rf build/ dist/ asgiref.egg-info/

release: clean
	python3 -m build
	python3 -m twine upload dist/*

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = ASGI
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python-asgiref 1.1.2

=== debian/changelog ===
python-asgiref (1.1.2-1) unstable; urgency=low

  * Initial release (Closes: #868665).

 -- Michael Fladischer <fladi@debian.org>  Mon, 17 Jul 2017 12:49:07 +0200

=== debian/control ===
Source: python-asgiref
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-six
Standards-Version: 4.0.0
X-Python3-Version: >= 3.4
Homepage: https://github.com/django/asgiref/
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-asgiref.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-asgiref.git

Package: python3-asgiref
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: ASGI in-memory channel layer (Python3 version)
 Contains various reference ASGI (Asynchronous Server Gateway Interface)
 implementations, including:
 .
  * A base channel layer, asgiref.base_layer
  * An in-memory channel layer, asgiref.inmemory
  * WSGI-to-ASGI and ASGI-to-WSGI adapters, in asgiref.wsgi
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=asgiref

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-asgiref 2.3.2

=== debian/changelog ===
python-asgiref (2.3.2-1) unstable; urgency=medium

  * Upload to unstable.
  * Clean up files in .pytest_cache/ to allow two builds in a row.

 -- Michael Fladischer <fladi@debian.org>  Sun, 23 Dec 2018 17:36:08 +0100

python-asgiref (2.3.2-1~exp1) experimental; urgency=low

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Michael Fladischer ]
  * Add debian/gbp.conf.
  * New upstream release.
  * Bump debhelper compatibility and version to 11.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Add python3-async-timeout to Build-Depends to satisfy test
    requirements.
  * Enable autopkgtest-pkg-python testsuite.
  * Add Breaks for channels 1.x packages:
    + python3-asgi-ipc
    + python3-asgi-redis
    + python3-daphne
    + python3-django-channels
  * Update long description to match 2.x ASGI standard.
  * Bump Standards-Version to 4.2.1.
  * Add python3-pytest to Build-Depends.
  * Use pytest to run tests during build.
  * Clean up pytest artifacts to allow two builds in a row.

 -- Michael Fladischer <fladi@debian.org>  Tue, 28 Aug 2018 18:22:45 +0200

=== debian/control ===
Source: python-asgiref
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python3-async-timeout,
 python3-all,
 python3-pytest,
 python3-setuptools,
 python3-six,
Standards-Version: 4.2.1
Homepage: https://github.com/django/asgiref/
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-asgiref
Vcs-Git: https://salsa.debian.org/python-team/modules/python-asgiref.git
Testsuite: autopkgtest-pkg-python

Package: python3-asgiref
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-asgi-ipc (<< 2),
 python3-asgi-redis (<< 2),
 python3-daphne (<< 2),
 python3-django-channels (<< 2),
Description: ASGI in-memory channel layer (Python3 version)
 ASGI (Asynchronous Server Gateway Interface) is a standard for Python
 asynchronous web apps and servers to communicate with each other, and
 positioned as an asynchronous successor to WSGI.
 .
 It includes ASGI base libraries, such as:
 .
  * Sync-to-async and async-to-sync function wrappers, asgiref.sync
  * Server base classes, asgiref.server
  * A WSGI-to-ASGI adapter, in asgiref.wsgi
 .
 This package contains the Python 3 version of the library.

## python-asgiref 3.2.0

=== debian/changelog ===
python-asgiref (3.2.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Michael Fladischer ]
  * New upstream release.
  * Bump debhelper version to 12.
  * Bump Standards-Version to 4.4.0.

 -- Michael Fladischer <fladi@debian.org>  Thu, 01 Aug 2019 07:52:14 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
  python3-async-timeout,
  python3-all,
  python3-pytest,
  python3-setuptools,
  python3-six,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://github.com/django/asgiref/
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-asgiref
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-asgiref.git

## python-asgiref 3.2.3

=== debian/changelog ===
python-asgiref (3.2.3-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Michael Fladischer ]
  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Tue, 12 Nov 2019 08:34:32 +0100

python-asgiref (3.2.2-1) unstable; urgency=low

  * New upstream release.
  * Clean up pytest artifacts to allow two builds in a row.

 -- Michael Fladischer <fladi@debian.org>  Tue, 10 Sep 2019 19:52:49 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-pytest,
  python3-setuptools,
  python3-six,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/django/asgiref/
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-asgiref
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-asgiref.git

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-asgiref-$1/ \
https://github.com/django/asgiref/releases \
/django/asgiref/archive/([\d\.]+)\.tar\.gz

## python-asgiref 3.2.10

=== debian/changelog ===
python-asgiref (3.2.10-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Tue, 30 Jun 2020 16:27:09 +0200

python-asgiref (3.2.7-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper version to 13.

 -- Michael Fladischer <fladi@debian.org>  Mon, 08 Jun 2020 20:58:07 +0200

python-asgiref (3.2.5-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.5.0.
  * Set Rules-Requires-Root: no.

 -- Michael Fladischer <fladi@debian.org>  Mon, 16 Mar 2020 10:19:00 +0100

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,19 @@
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-async-timeout,
  python3-all,
  python3-pytest,
  python3-setuptools,
  python3-six,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/django/asgiref/
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-asgiref
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-asgiref.git
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-asgiref
 Architecture: all

## python-asgiref 3.3.1

=== debian/changelog ===
python-asgiref (3.3.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.5.1.
  * Use uscan version 4.

 -- Michael Fladischer <fladi@debian.org>  Mon, 30 Nov 2020 18:24:54 +0100

python-asgiref (3.3.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Fladischer ]
  * New upstream release.
  * Add d/upstream/metadata.

 -- Michael Fladischer <fladi@debian.org>  Wed, 14 Oct 2020 20:44:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-asgiref
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
@@ -12,10 +12,10 @@
  python3-pytest,
  python3-setuptools,
  python3-six,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/django/asgiref/
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-asgiref
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-asgiref.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-asgiref
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-asgiref.git
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-asgiref-$1/ \
https://github.com/django/asgiref/releases \
/django/asgiref/archive/([\d\.]+)\.tar\.gz

## python-asgiref 3.5.0

=== debian/changelog ===
python-asgiref (3.5.0-1) unstable; urgency=low

  * New upstream release.
  * Use github tags instead of releases for d/watch.
  * Depend on python3-all for autopkgtests.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Mon, 24 Jan 2022 08:35:35 +0000

python-asgiref (3.4.1-1) unstable; urgency=low

  * New upstream release.
  * Update d/watch to work with github again.
  * Bump Standards-Version to 4.6.0.
  * Add python3-pytest-asyncio to Build-Depends, required by tests.
  * Enable upstream testsuite for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Sat, 04 Sep 2021 20:03:14 +0000

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,10 @@
  python3-async-timeout,
  python3-all,
  python3-pytest,
+ python3-pytest-asyncio,
  python3-setuptools,
  python3-six,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/django/asgiref/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-asgiref
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-asgiref.git

## python-asgiref 3.6.0

=== debian/changelog ===
python-asgiref (3.6.0-1) unstable; urgency=low

  * New upstream release.
  * Update d/copyright with new years.

 -- Michael Fladischer <fladi@debian.org>  Thu, 05 Jan 2023 14:48:05 +0000

python-asgiref (3.5.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + python3-asgiref: Drop versioned constraint on python3-daphne and
      python3-django-channels in Breaks.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 00:21:13 +0100

python-asgiref (3.5.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.6.1.0.

 -- Michael Fladischer <fladi@debian.org>  Sun, 18 Sep 2022 21:12:51 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-pytest-asyncio,
  python3-setuptools,
  python3-six,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/django/asgiref/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-asgiref
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-asgiref.git
@@ -28,8 +28,6 @@
 Breaks:
  python3-asgi-ipc (<< 2),
  python3-asgi-redis (<< 2),
- python3-daphne (<< 2),
- python3-django-channels (<< 2),
 Description: ASGI in-memory channel layer (Python3 version)
  ASGI (Asynchronous Server Gateway Interface) is a standard for Python
  asynchronous web apps and servers to communicate with each other, and

## python-asgiref 3.7.2

=== debian/changelog ===
python-asgiref (3.7.2-1) unstable; urgency=medium

  * New upstream version 3.7.2
  * Bump Standards-Version to 4.6.2.

 -- Michael Fladischer <fladi@debian.org>  Tue, 13 Jun 2023 21:31:54 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-pytest-asyncio,
  python3-setuptools,
  python3-six,
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/django/asgiref/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-asgiref
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-asgiref.git

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,8 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	dh_auto_test -- --system=custom --test-args="PYTHONPATH=. {interpreter} -m pytest"
+endif

## python-asgiref 3.8.1

=== debian/changelog ===
python-asgiref (3.8.1-1) unstable; urgency=low

  [ Alexandre Detiste ]
  * remove old build-dependency on python3-six

  [ Michael Fladischer ]
  * New upstream version 3.8.1
  * Update year in d/copyright.
  * Build using pybuild-plugin-pyproject and dh-sequence-python3.

 -- Michael Fladischer <fladi@debian.org>  Sun, 24 Mar 2024 17:55:45 +0000

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-async-timeout,
  python3-all,
  python3-pytest,
  python3-pytest-asyncio,
  python3-setuptools,
- python3-six,
 Standards-Version: 4.6.2
 Homepage: https://github.com/django/asgiref/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-asgiref

## python-asgiref 3.9.1

=== debian/changelog ===
python-asgiref (3.9.1-2) unstable; urgency=medium

  * Team upload.
  * Breaks: python3-django-channels (<< 4.3.0) (closes: #1114876).

 -- Colin Watson <cjwatson@debian.org>  Tue, 16 Sep 2025 12:51:44 +0100

python-asgiref (3.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove unnecessary dh_auto_test override.
  * Switch to autopkgtest-pkg-pybuild.
  * Standards-Version: 3.7.2.

 -- Colin Watson <cjwatson@debian.org>  Mon, 11 Aug 2025 17:31:33 +0100

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,11 @@
  python3-pytest,
  python3-pytest-asyncio,
  python3-setuptools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/django/asgiref/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-asgiref
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-asgiref.git
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 
 Package: python3-asgiref
@@ -28,6 +28,7 @@
 Breaks:
  python3-asgi-ipc (<< 2),
  python3-asgi-redis (<< 2),
+ python3-django-channels (<< 4.3.0),
 Description: ASGI in-memory channel layer (Python3 version)
  ASGI (Asynchronous Server Gateway Interface) is a standard for Python
  asynchronous web apps and servers to communicate with each other, and

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=asgiref

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-asgiref-$1/ \
https://github.com/django/asgiref/tags \
/django/asgiref/archive/refs/tags/([\d\.]+)\.tar\.gz

## python-asgiref 3.11.0

=== debian/changelog ===
python-asgiref (3.11.0-1) unstable; urgency=low

  * New upstream version 3.11.0
  * Bump Standards-Version to 4.7.3.
  * Drop Rules-Requires-Root.
  * Update year in d/copyright.
  * Use uscan version 5.

 -- Michael Fladischer <fladi@debian.org>  Sun, 18 Jan 2026 19:09:56 +0000

=== debian/control ===
--- 
+++ 
@@ -13,12 +13,11 @@
  python3-pytest,
  python3-pytest-asyncio,
  python3-setuptools,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/django/asgiref/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-asgiref
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-asgiref.git
 Testsuite: autopkgtest-pkg-pybuild
-Rules-Requires-Root: no
 
 Package: python3-asgiref
 Architecture: all

=== debian/watch ===
version=5
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-asgiref-$1/ \
https://github.com/django/asgiref/tags \
/django/asgiref/archive/refs/tags/([\d\.]+)\.tar\.gz
